Subject: Re: Handling set_mac_address in set_rx_mode

From: Jeff Garzik <[email-masked]>
Date: Sat, 30 Jun 2007 16:38:13 -0400

Patrick McHardy wrote:
> While adding support for secondary unicast addresses to 8021q and
> macvlan, I've tried keeping dev->dev_addr as global address on
> dev->uc_list and have drivers skip them to avoid having all
> dev_unicast_add users implement a state machine like this:

[...]

Something that is not entirely clear to me...  This has zero impact on 
existing drivers, right?

I would not fancy updating all drivers for a new MAC addr scheme...

	Jeff